<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('USER_FEEDBACK_LIST')}</a></li>

		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('Feedback/index')}">
            {:lang('STATUS')}: 
			<select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <volist name="status" id="v">
                    <option value="{$key}" <if condition="input('request.status') neq '' && input('request.status') eq $key">selected</if>>{$v}</option>
                </volist>
			</select>
			{:lang('SUBMISSION_TIME')}: 
			<input class="form-control js-bootstrap-date" name="start_time" autocomplete="off" id="start_time" value="{:input('request.start_time')}" aria-invalid="false" style="width: 110px;"> - 
            <input class="form-control js-bootstrap-date" name="end_time" autocomplete="off" id="end_time" value="{:input('request.end_time')}" aria-invalid="false" style="width: 110px;">
			{:lang('KEYWORD')}:  
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>				
		<form method="post" class="js-ajax-form" >

		
			<table class="table table-hover table-bordered">
				<thead>
					<tr>
						<th>ID</th>
						<th>{:lang('MEMBER')}</th>						
						<th>{:lang('SYSTEM_VERSION')}</th>
						<th>{:lang('PHONE_MODEL')}</th>
						<th width="35%">{:lang('FEEDBACK_INFORMATION')}</th>
						<th>{:lang('IMAGE')}</th>
						<th>{:lang('STATUS')}</th>
						<th>{:lang('SUBMISSION_TIME')}</th>
						<th>{:lang('PROCESSING_TIME')}</th>
						<th>{:lang('ACTIONS')}</th>
					</tr>
				</thead>
				<tbody>
					<foreach name="lists" item="vo">
					<tr>
						<td>{$vo.id}</td>
						<td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
						<td>{$vo['version']}</td>
						<td>{$vo['model']}</td>				
						<td><?php echo nl2br($vo['content']);?></td>				
						<td>
                            <if condition="$vo['thumb']">
                                <img src="{:get_upload_path($vo['thumb'])}" style="max-width:100px;max-height:100px;">
                            </if>
                        </td>
						<td>{$status[$vo['status']]}</td>
						<td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>						
						<td>
						 <if condition="$vo['status'] eq '0'" >
							{:lang('PROCESSING')}
						 <else/>
                            {:date('Y-m-d H:i:s',$vo['uptime'])}
						 </if>						
						 </td>

						<td>	
							<if condition="$vo['status'] eq '0'" >
                            <a class="btn btn-xs btn-danger js-ajax-dialog-btn" href="{:url('Feedback/setstatus',array('id'=>$vo['id']))}" >{:lang('MARK_AS_PROCESSED')}</a>
							</if>
							<a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('Feedback/del',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
						</td>
					</tr>
					</foreach>
				</tbody>
			</table>
			<div class="pagination">{$page}</div>

		</form>
	</div>
	<script src="__STATIC__/js/admin.js"></script>
</body>
</html>